﻿
<md-card>
    <md-toolbar class="md-table-toolbar md-default">
        <div class="md-toolbar-tools">
            <md-autocomplete ng-disabled="MaquinaAtc.isDisabled"
                             md-no-cache="MaquinaAtc.noCache"
                             md-selected-item="Maquina"
                             md-search-text="MaquinaAtc.searchText"
                             md-items="item in CargaInicial.lstMaquinas | filter:MaquinaAtc.searchText"
                             md-item-text="item.cFolioMaquina"
                             md-min-length="0"
                             placeholder="Buscar maquina">
                <md-item-template>
                    <span md-highlight-text="MaquinaAtc.searchText" md-highlight-flags="^i">{{item.cFolioMaquina}}</span>
                </md-item-template>
                <md-not-found>
                    No se encontró la maquina: "{{CentroLogisticoAtc.searchText}}"
                </md-not-found>
            </md-autocomplete>


            <span flex></span>
            <md-button class="md-icon-button" ng-click="toggleItem(3)">
                <md-icon>monetization_on</md-icon>
            </md-button>
            <span>Total dia:  {{'20000' | currency}}</span>
        </div>
    </md-toolbar>

    <table data-md-table data-ng-model="selected" md-progress="promise">
        <thead md-head md-on-reorder="onReorder">
            <tr md-row>
                <th md-column><span>Maquina</span></th>
                <th md-column style="text-align:center"><span>Ultimo premio</span></th>
                <th md-column style="text-align:center"><span>Nuevo premio</span></th>
            </tr>
        </thead>
        <tbody md-body>
            <tr md-row data-ng-repeat="item in CargaInicial.lstMaquinas | filter: MaquinaAtc.searchText | limitTo: query.limit : (query.page - 1) * query.limit track by $index">
                <td md-cell>{{item.cFolioMaquina}}</td>
                <td md-cell style="text-align:center">{{item.nPremio | currency}}</td>
                <td md-cell style="text-align:center">
                    <md-button class="md-icon-button" ng-click="ModalPremio($event, $index, item)">
                        <md-icon>monetization_on</md-icon>
                    </md-button>
                </td>




            </tr>
        </tbody>
    </table>

    <data-md-table-pagination md-limit="query.limit" md-limit-options="limitOptionsAreas" md-page="query.page" md-total="{{CargaInicial.lstMaquinas.length}}" md-on-paginate="onPaginate" md-page-select="options.pageSelect" md-boundary-links="options.boundaryLinks"></data-md-table-pagination>
</md-card>